Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Latest IDE snapshot build?
Latest IDE snapshot build? [message #793861] Wed, 08 February 2012 12:15 Go to next message
Andrew Rootmann is currently offline Andrew Rootmann
Messages: 5
Registered: July 2009
Junior Member
Now when the 3.5.x compatibility bug (bugs.eclipse.org/bugs/show_bug.cgi?id=364573) has been fixed, I'm wondering how soon will the new snapshot build become available for download on the Virgo IDE update site?

At the moment, the latest snapshot on download.eclipse.org/virgo/snapshot/IDE is 1.0.0.201110312003-SNAPSHOT, which seems to be quite old for a snapshot repository...

Thanks
Andrew
Re: Latest IDE snapshot build? [message #793871 is a reply to message #793861] Wed, 08 February 2012 12:29 Go to previous messageGo to next message
Miles Parker is currently offline Miles Parker
Messages: 1338
Registered: July 2009
Senior Member
I'll check into how we're doing promotions and follow up here. But sssh.. don't tell anyone, you can always get the absolutely latest and greatest at https://hudson.eclipse.org/hudson/job/virgo.ide.snapshot/lastSuccessfulBuild/artifact/org.eclipse.virgo.ide.site/target/site/
(Seriously, please do *not* use this site as a regular update site as it is not designed as a download site and uses up limited Hudson resources, but if you're engaged in active testing or contributions it's worth looking there. In any case, the bug was just fixed and it looks like Hudson is going down for a bit, so it isn't available at the moment.)
Re: Latest IDE snapshot build? [message #794185 is a reply to message #793861] Wed, 08 February 2012 20:56 Go to previous messageGo to next message
Andrew Rootmann is currently offline Andrew Rootmann
Messages: 5
Registered: July 2009
Junior Member
Thank you for quick turn around! I see there is a new IDE snapshot available for download on the snapshot site.

However, the new build appears to have some dependencies (see below) on some Libra bundles that are not yet available from their update site. I tried both Eclipse 3.7.1 and 3.7.2. Any suggestions?

Thanks a lot!
Andrew

Cannot complete the install because one or more required items could not be found.
Software being installed: Eclipse Virgo Tools 1.0.0.201202082045-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.0.201202082045-SNAPSHOT)
Missing requirement: Eclipse Virgo IDE (Server UI) 1.0.0.201202082045-SNAPSHOT (org.eclipse.virgo.ide.runtime.ui 1.0.0.201202082045-SNAPSHOT) requires 'package org.eclipse.libra.framework.editor.core [0.1.0,2.0.0)' but it could not be found
Cannot satisfy dependency:
From: Eclipse Virgo Tools 1.0.0.201202082045-SNAPSHOT (org.eclipse.virgo.ide.feature.feature.group 1.0.0.201202082045-SNAPSHOT)
To: org.eclipse.virgo.ide.runtime.ui [1.0.0.201202082045-SNAPSHOT]
Re: Latest IDE snapshot build? [message #794188 is a reply to message #794185] Wed, 08 February 2012 21:01 Go to previous messageGo to next message
Miles Parker is currently offline Miles Parker
Messages: 1338
Registered: July 2009
Senior Member
Hi Andrew,

Try: http://download.eclipse.org/libra/milestones/ That's where we're consuming them from. By the way, when it comes to dependencies, an "easy" way to find these is to look at our pom, here:

http://git.eclipse.org/c/virgo/org.eclipse.virgo.ide.git/plain/pom.xml

As you can probably tell, the build is really in flux right now.

hth!
Re: Latest IDE snapshot build? [message #794214 is a reply to message #794188] Wed, 08 February 2012 21:58 Go to previous message
Andrew Rootmann is currently offline Andrew Rootmann
Messages: 5
Registered: July 2009
Junior Member
Fantastic! Thanks a lot! It works now (well, almost... see the bug description bugs.eclipse.org/bugs/show_bug.cgi?id=371034) But no major showstoppers!

Andrew
Previous Topic:Blueprint - Can I use Apache Aries?
Next Topic:Running RAP on Virgo
Goto Forum:
  


Current Time: Mon Jul 28 22:39:14 EDT 2014

Powered by FUDForum. Page generated in 0.02792 seconds